Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5977 - Problems of Slovak users
Summary: Problems of Slovak users
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-15 06:59 UTC by Jan Ondrej
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-02-06 22:42:02 UTC


Attachments (Terms of Use)

Description Jan Ondrej 1999-10-15 06:59:24 UTC
Hello,

  Slovak users don't have slovak keyboards in installer.
This bug is in text mode installer and also in anaconda.
Anaconda has key layout Czechoslovakian, which is
not correct layout for Slovak users.

  We need set XkbKeymap in XF86Config to
"xfree86(us_sk_qwerty)", or us_sk_qwertz or sk_us_...,
and XkBLayout not set.

  Slovak users can't use RedHat system as a desktop,
because we can't write in own language.

  Btw help and some messages in installer are not
translated. :-(

			Bye.
						SAL

Comment 1 Jay Turner 1999-10-21 18:50:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Michael Fulbright 2000-04-17 22:18:59 UTC
Is this still a problem in 6.2?

Comment 3 Derek Tattersall 2000-04-25 13:04:59 UTC
There is no entry for a Slovak keyboard in the installer's keyboard menu in 6.2.

Comment 4 Michael Fulbright 2000-08-17 22:16:22 UTC
Please verify we fixed this in Pinstripe.

Comment 5 Brock Organ 2000-08-30 14:35:58 UTC
There is no entry for a Slovak keyboard in the installer's keyboard menu in
post-pinstripe internal trees ...

Comment 6 Brent Fox 2000-12-15 07:27:19 UTC
When I go to a terminal and try 'setxkbmap us_sk_qwerty' or 'setxkbmap
us_sk_qwertz', or any of the other entries in /usr/lib/X11/xkb/keymap that look
like they might be right for the Slovak keyboard, I get the error message:

Error loading new keyboard description

What is the correct keymap for Slovak users to use?  Can you send me a working
XF86Config file and a working /etc/sysconfig/keyboard file for Slovak users.

Comment 7 Brent Fox 2000-12-15 15:25:08 UTC
Fixing this bug requires a change in a couple of places.  First is the kbd.py
file, where an entry :
   ("sk-qwerty"         , ('pc102', 'us_sk_qwerty')),
must be made.  Then, the /etc/lib/X11/xkb/rules/xfree86.lst file must be changed
to have the entry:
  us_sk_qwerty  Slovak
Then, the correct /etc/sysconfig/keyboard file gets written out and also the
correct XF86Config file gets written. I think I've resolved this issue, but it
will take some time for the xfree86.lst file to be rolled into X in our build
system.



Comment 8 Brent Fox 2000-12-18 17:50:10 UTC
This is in CVS now.  Brock, please test when the xfree86.lst file gets put in
the build system.

Comment 9 Brock Organ 2001-01-08 18:29:34 UTC
mike, please update this when a new xfree86.lst file is available for testing
... :)

Comment 10 Brock Organ 2001-02-19 15:53:51 UTC
verified entry is present in xfree86.lst in qa0217.1 ...


Note You need to log in before you can comment on or make changes to this bug.